/*
* Copyright (c) 2007 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:   VpnClient UIDs
*
*/



#ifndef VPN_CLIENT_UIDS_H
#define VPN_CLIENT_UIDS_H

/**
* UID of the generic symbian exe
*/
#define KUidGenericExe 0x100039ce

/**
* UID of the generic symbian dll
*/
#define KUidGenericDll 0x1000008d

/**
* UID of the generic notifier
*/
#define KUidGenericNotifier 0x10009D8D

/**
* UID of the generic GS plugin
*/
#define KUidGenericGsPlugin 0x10207236

/// VPN specific UIDs

/**
* UID of the AcuAgentApi
*/
#define KUidAcuAgentApi 0x101f6eb5

/**
* UID of the AcuAgentServer
*/
#define KUidAcuAgentServer 0x101f6eb6

/**
* UID of the AcuAgentCrypto
*/
#define KUidAcuAgentCrypto 0x101F5147

/**
* UID of the AcuAgentMessage
*/
#define KUidAcuAgentMessage 0x101F6EBC

/**
* UID of the AcuAgentTransport
*/
#define KUidAcuAgentTransport 0x101f798A

/**
* UID of the AcuAgentTransportApi
*/
#define KUidAcuAgentTransportApi 0x101f798B

/**
* UID of the AcuIns
*/
#define KUidAcuIns 0x101FD286

/**
* UID of the AcuPluginLib
*/
#define KUidAcuPluginLib 0x101f6ebd

/**
* UID of the DmadEngine 
*/
#define KUidDmadEngine 0x20000247

/**
* UID of the DmadIpsecVpn
*/
#define KUidDmadIpsecVpn 0x1020699C

/**
* UID of the DmadPki
*/
#define KUidDmadPki 0x102069A5

/**
* UID of the EventMediator
*/
#define KUidEventMediator 0x101FD288

/**
* UID of the EventmediatorApi
*/
#define KUidEventmediatorApi 0x101FD289

/**
* UID of the EventViewer
*/
#define KUidEventViewer 0x10200EC5

/**
* UID of the IkePolParser
*/
#define KUidIkePolParser 0x101fae09

/**
* UID of the IkeSocketPluginImplementation
*/
#define KUidIkeSocketPluginImplementation 0x20000407

/**
* UID of the IkeSocketPluginResolver
*/
#define KUidIkeSocketPluginResolver 0x20000408

/**
* UID of the IpsecAcuPlugin
*/
#define KUidIpsecAcuPlugin 0x101F6EB8

/**
* UID of the IkeCert
*/
#define KUidIkeCert 0x10206995

/**
* UID of the Ikev1Lib
*/
#define KUidIkev1Lib 0x10206994

/**
* UID of the Ikev2Lib
*/
#define KUidIkev2Lib 0x10206993

/**
* UID of the KmdApi
*/
#define KUidKmdApi 0x101f5140

/**
* UID of the KmdServer
*/
#define KUidKmdServer 0x1000088A

/**
* UID of the PkiService
*/
#define KUidPkiService 0x101FAE07

/**
* UID of the PkiServiceApi
*/
#define KUidPkiServiceApi 0x101FAE06

/**
* UID of the EventmedSit
*/
#define KUidEventmedSit 0x101FD28D

/**
* UID of the UtlBase64
*/
#define KUidUtlBase64 0x101F6EBA

/**
* UID of the UtlCrypto
*/
#define KUidUtlCrypto 0x101FAE04

/**
* UID of the UtlPkcs10
*/
#define KUidUtlPkcs10 0x101F6EB9

/**
* UID of the UtlXml
*/
#define KUidUtlXml 0x101F6EBB

/**
* UID of the VpnApi
*/
#define KUidVpnApi 0x101FD285

/**
* UID of the VpnAwApi
*/
#define KUidVpnAwApi 0x101fd28c

/**
* UID of the VpnCleaner
*/
#define KUidVpnCleaner 0x101FAE02

/**
* UID of the VpnCleanerLib
*/
#define KUidVpnCleanerLib 0x101FAE03

/**
* UID of the VpnConnAgt
*/
#define KUidVpnConnAgt 0x101fae05

/**
* UID of the VpnExtApi 
*/
#define KUidVpnExtApi 0x101FD285

/**
* UID of the VpnManager
*/
#define KUidVpnManager 0x101F7993

/**
* UID of the VpnIns 
*/
#define KUidVpnIns 0x101FD28E

/**
* UID of the VpnIpsecPolParser
*/
#define KUidVpnIpsecPolParser 0x10000999

/**
* UID of the AcuNotifier
*/
#define KUidAcuNotifier 0x101F6EB7

/**
* UID of the KmdNotifier
*/
#define KUidKmdNotifier 0x101F513f

/**
* UID of the PkiNotifier
* Not used anymore
*/
//#define KUidPkiNotifier 0x101FAE08

/**
* UID of the VpnManagementUi
*/
#define KUidVpnManagementUi 0x101F6D31

/**
* UID of the KUidVpnManagementImplementation
*/
#define KUidVpnManagementImplementation 0x101F6D32

/**
* UID of the VpnPolIns
*/
#define KUidVpnPolIns 0x1000597E

#endif // VPN_CLIENT_UIDS_H